---
title: "AbsoluteTimeRange"
---
<!-- DO NOT EDIT! This file was auto-generated by crates/build/re_types_builder/src/codegen/docs/website.rs -->

Two [`datatypes.TimeInt`](https://rerun.io/docs/reference/types/datatypes/time_int) describing a range of time.

## Fields
#### `min`
Type: non-null [`TimeInt`](../datatypes/time_int.md)

Start of the range.

#### `max`
Type: non-null [`TimeInt`](../datatypes/time_int.md)

End of the range (inclusive).


## Arrow datatype
```
Struct(
    "min": non-null Int64
    "max": non-null Int64
)
```

## API reference links
 * 🌊 [C++ API docs for `AbsoluteTimeRange`](https://ref.rerun.io/docs/cpp/stable/structrerun_1_1datatypes_1_1AbsoluteTimeRange.html)
 * 🐍 [Python API docs for `AbsoluteTimeRange`](https://ref.rerun.io/docs/python/stable/common/datatypes#rerun.datatypes.AbsoluteTimeRange)
 * 🦀 [Rust API docs for `AbsoluteTimeRange`](https://docs.rs/rerun/latest/rerun/datatypes/struct.AbsoluteTimeRange.html)


